PHP Manual
Prev |  | Next

# ldap_get_values_len

(PHP 3 >= 3.0.13, PHP 4, PHP 5)

ldap_get_values_len -- Get all binary values from a result entry

## Description

array ldap_get_values_len ( resource link_identifier, resource result_entry_identifier, string attribute )

Reads all the values of the attribute in the entry in the result.

This function is used exactly like ldap_get_values() except that it handles binary data and not string data.

## Parameters

`link_identifier`

  An LDAP link identifier, returned by ldap_connect().

`result_entry_identifier`

`attribute`

## Return Values

Returns an array of values for the attribute on success and `FALSE` on error. Individual values are accessed by integer index in the array. The first index is 0. The number of values can be found by indexing "count" in the resultant array.

## See Also

ldap_get_values()

Prev | Home | Next
ldap_get_option | Up | ldap_get_values